Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class Shape

    java.lang.Object
      jet.api.Shape

Direct Known Subclasses:
  Box, Line, Oval, RoundBox

    public abstract class Shape

extends java.lang.Object

class ShapeInfo wraps all shape Object infos

Constructor Summary
`Shape()`

Method Summary
`java.lang.String` | `getBottomAttach()` Gets bottom attached object handle
`double` | `getBottomAttachX()` Gets X position of bottom attached object
`double` | `getBottomAttachY()` Gets Y position of bottom attached object
`int` | `getShapeType()` Gets shape type of object
`java.lang.String` | `getTopAttach()` Gets top attached object handle
`double` | `getTopAttachX()` Gets X position of top attached object
`double` | `getTopAttachY()` Gets Y position of top attached object
`void` | `setBottomAttach(java.lang.String bottomAttach)` Sets bottom attached object handle
`void` | `setBottomAttachX(double bottomAttachX)` Sets X position of bottom attached object
`void` | `setBottomAttachY(double bottomAttachY)` Sets Y position of bottom attached object
`void` | `setTopAttach(java.lang.String topAttach)` Sets top attached object handle
`void` | `setTopAttachX(double topAttachX)` Sets X position of top attached object
`void` | `setTopAttachY(double topAttachY)` Sets Y position of top attached object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape()

Method Detail

### setTopAttach

    public void setTopAttach(java.lang.String topAttach)

  Sets top attached object handle

  Parameters:
    `topAttach` - the hanlde of top attached object

### getTopAttach

    public java.lang.String getTopAttach()

  Gets top attached object handle

  Returns:
    the hanlde of top attached object

### setBottomAttach

    public void setBottomAttach(java.lang.String bottomAttach)

  Sets bottom attached object handle

  Parameters:
    `bottomAttach` - the hanlde of bottom attached object

### getBottomAttach

    public java.lang.String getBottomAttach()

  Gets bottom attached object handle

  Returns:
    the hanlde of bottom attached object

### setTopAttachX

    public void setTopAttachX(double topAttachX)

  Sets X position of top attached object

  Parameters:
    `topAttachX` - value of X position

### getTopAttachX

    public double getTopAttachX()

  Gets X position of top attached object

  Returns:
    value of X position

### setBottomAttachX

    public void setBottomAttachX(double bottomAttachX)

  Sets X position of bottom attached object

  Parameters:
    `bottomAttachX` - value of X position

### getBottomAttachX

    public double getBottomAttachX()

  Gets X position of bottom attached object

  Returns:
    bottomAttachX value of X position

### setTopAttachY

    public void setTopAttachY(double topAttachY)

  Sets Y position of top attached object

  Parameters:
    `topAttachY` - value of Y position

### getTopAttachY

    public double getTopAttachY()

  Gets Y position of top attached object

  Returns:
    value of Y position

### setBottomAttachY

    public void setBottomAttachY(double bottomAttachY)

  Sets Y position of bottom attached object

  Parameters:
    `bottomAttachY` - value of Y position

### getBottomAttachY

    public double getBottomAttachY()

  Gets Y position of bottom attached object

  Returns:
    value of Y position

### getShapeType

    public int getShapeType()

  Gets shape type of object

  Returns:
    shape type int value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD